function [pi,trans_prob_matrix,ne,C_A,full_trans,mutual,mutual_s,shannon,MIRT1,MIRT2,MIRN1,MIRN2] = MIR(alpha)
   for N=4:20;

ne=N^2;

pos_point=alpha*N;
final_delta_gamma=ceil(pos_point);
dim_data=size(final_delta_gamma,1);
lc=final_delta_gamma==0;
final_delta_gamma(lc)=0.1;
final_delta_gamma=ceil(final_delta_gamma);
one_dim=(final_delta_gamma(:,1)+((final_delta_gamma(:,2)-1))*N);
t1=(1:dim_data)';
t2=final_delta_gamma;
t3=final_delta_gamma;
t4=one_dim;
t=[t1 t2 t3 t4];
nop_box=accumarray(one_dim,1);
mean_nop=mean(nop_box);
nbox=nnz(nop_box);
prob_i=nop_box/sum(nop_box);
mat = reshape(prob_i,N,N);
trans_matrix=zeros(N^2);
for i=1:length(one_dim)-1
    trans_matrix(one_dim(i),one_dim(i+1))=trans_matrix(one_dim(i),one_dim(i+1))+1;
end
trans_prob_matrix=diag(1./sum(trans_matrix,2))*trans_matrix;
pi=sum(trans_matrix/sum(sum(trans_matrix)),2);
%PT=trans_prob_matrix^100;
[PT] = powerthres(trans_prob_matrix);
dim_ini_p=length(PT); 
ini_p=repmat((1/dim_ini_p),dim_ini_p,1);
prob=ini_p'*(PT);
mutual_info=0;
for i=1:length(trans_prob_matrix)
    for j=1:length(trans_prob_matrix)
        if trans_prob_matrix(i,j)~=0
mutual_info(i,j)=sum(prob(i)*(trans_prob_matrix(i,j)))*log((prob(i)*(trans_prob_matrix(i,j))/(prob(i)*prob(j))));
        end
    end
end   
mutual(N)=sum(sum(mutual_info));
mutual_sp=0;
for i=1:size(mat,1)
    for j=1:size(mat,2)
        mutual_sp(i,j)=-sum(mat(i,j)*log(mat(i,j))+sum(mat(i)*log(mat(i)))+sum(mat(j)*log(mat(j))));
    end
end    
mutual_s(N)=sum(sum(mutual_sp));
Z=zeros(N^2);
 for x=1:100  
     Z=trans_prob_matrix^x;
     if Z~0
         break
         x
     end
 end 
full_trans(N,:)=[N x];
shannon(N,:)=-sum((prob)*log(prob)')/x;
T=full_trans(:,2)';
MIRT1=mutual./T;
MIRT2=mutual_s./T;
figure(1)
plot(MIRT2)
    C_A=cell(2,1);          
    C_A{1}=trans_matrix;          %cell array for transitive matrix
    C_A{2}=trans_prob_matrix;     %cell array for transitive probability matrix
    C_A{3}=mutual;
    C_A{4}=mutual_s;

 
   
   A=C_A{2};
   B=reshape(A,1,N^2*N^2);
  end 
end




