function [C_pijg,threshold] = thresholdgreater(final_delta_gamma)
[pi,trans_prob_matrix,ne,~] = test2(final_delta_gamma);
ini_point=0;
final_point=0.45;
int=0.01;
r=0;
threshold=zeros(ceil((final_point-ini_point)/int),12);
C_pijg=cell(ceil((final_point-ini_point)/int),6);
for th=ini_point:int:final_point
    r=r+1;

lg=trans_prob_matrix<=th;
pij=trans_prob_matrix;
pij(lg)=0;
Y=pi'*pij;
measure=sum(Y);
lrow=sum(pij,2)==0;
lcol=sum(pij,1)==0;
slrow_col=sum(lrow)+sum(lcol);
C_pijg{r,1}=pij;
while slrow_col>0
    lrow=sum(pij,2)==0;
pij(lrow,:)=[];
pij(:,lrow)=[];
lcol=sum(pij,1)==0;
pij(lcol,:)=[];
pij(:,lcol)=[];

lrow=sum(pij,2)==0;
lcol=sum(pij,1)==0;
slrow_col=sum(lrow)+sum(lcol);

 C_pijg{r,2}=pij;
end

     pij_tilda=zeros(size(pij));
for i=1:length(pij)
   
    pij_tilda(i,:)=pij(i,:)./sum(pij(i,:));
end
C_pijg{r,3}=pij_tilda;
    [PT] = powerthres(pij_tilda);
%  PT=pij_tilda^20;
dim_ini_p=length(PT); 
ini_p=repmat((1/dim_ini_p),dim_ini_p,1);
p_tilda=ini_p'*(PT);
C_pijg{r,4}=p_tilda;

pipij=p_tilda*pij_tilda;
C_pijg{r,5}=pipij;

joint_entropy=zeros(size(pij_tilda));
for i=1:length(pij_tilda)
    for j=1:length(pij_tilda) 
            if pij_tilda(i,j) ~=0
             
joint_entropy(i,j)=sum(-1*p_tilda(i)*pij_tilda(i,j))*log((p_tilda(i)*pij_tilda(i,j)));
            end
    end
end

joint_entropy=sum(sum(joint_entropy));

shannon=-sum(p_tilda.*log(p_tilda));

mutual_info=zeros(size(pij_tilda));

for i=1:length(pij_tilda)
    for j=1:length(pij_tilda)
        if pij_tilda(i,j)~=0
mutual_info(i,j)=sum(p_tilda(i)*(pij_tilda(i,j)))*log((p_tilda(i)*(pij_tilda(i,j))/(p_tilda(i)*(p_tilda(j)))));
        end
    end
end    
ne1=sum(sum(pij_tilda));
ADJ=pij_tilda;
ADJ(ADJ<=th)=0;
lg=ADJ~=0;
ADJ(lg)=1;
num_edges=sum(sum(ADJ));
non_zerorow = any(ADJ,2);
num_node= sum(non_zerorow);
num_nodes= sum(non_zerorow/ne);
density=(num_edges)/ (ne1*ne1);
mi_per_edges=sum(sum(mutual_info))/num_edges;
shentropy=shannon/num_node;
C_pijg{r,6}=ADJ;
 threshold(r,1)=th;
 threshold(r,2)=measure;
 threshold(r,3)=num_nodes;
 threshold(r,4)=num_edges;
 threshold(r,5)=density;
 threshold(r,6)=sum(p_tilda);
 threshold(r,7)=joint_entropy;
 threshold(r,8)=sum(sum(mutual_info));
 threshold(r,9)=shannon;
 threshold(r,10)=mi_per_edges;
 threshold(r,11)=shentropy;
 threshold(r,12)=ne1;

end
figure(3)
plot(threshold(:,1),threshold(:,2),'k-*')
hold on
plot(threshold(:,1),threshold(:,3),'gs-')
plot(threshold(:,1),threshold(:,5),'bo-')
plot(threshold(:,1),threshold(:,7),'k')
plot(threshold(:,1),threshold(:,8),'m-+')
plot(threshold(:,1),threshold(:,9),'r-')
plot(threshold(:,1),threshold(:,10),'rx-')
plot(threshold(:,1),threshold(:,11),'Color', [0.2, 0.1, 0.9])
% TO CREATE NETWORK USE THE FOLLOWING COMMAND. CHOOSE THE NUMBER FOR VARIABLE C_pijg BY
% SELECTING THE THRESHOLD VALUE FOR WHICH NETWORK IS NEEDED.
% bg=biograph(C_pijg{1,6})
% h=view(bg)
end











